---
title: 'Element: cut event'
slug: Web/API/Element/cut_event
tags:
  - API
  - Clipboard API
  - Cut
  - Element
  - Event
  - Reference
  - Web
---
<div>{{APIRef}}</div>

<p><span class="seoSummary">The <strong><code>cut</code></strong> event is fired when the user has initiated a "cut" action through the browser's user interface.</span></p>

<p>If the user attempts a cut action on uneditable content, the <code>cut</code> event still fires but the event object contains no data.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("ClipboardEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("HTMLElement/oncut", "oncut")}}</td>
  </tr>
 </tbody>
</table>

<p>The event's default action is to copy the current selection (if any) to the system clipboard and remove it from the document.</p>

<p>A handler for this event can <em>modify</em> the clipboard contents by calling {{domxref("DataTransfer.setData", "setData(format, data)")}} on the event's {{domxref("ClipboardEvent.clipboardData")}} property, and cancelling the default action using {{domxref("Event/preventDefault", "event.preventDefault()")}}.</p>

<p>Note though that cancelling the default action will also prevent the document from being updated. So an event handler which wants to emulate the default action for "cut" while modifying the clipboard must also manually remove the selection from the document.</p>

<p>The handler cannot <em>read</em> the clipboard data.</p>

<p>It's possible to construct and dispatch a <a href="/en-US/docs/Web/Guide/Events/Creating_and_triggering_events">synthetic</a> <code>cut</code> event, but this will not affect the system clipboard or the document's contents.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Live_example">Live example</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html">&lt;div class="source" contenteditable="true"&gt;Try cutting text from this box...&lt;/div&gt;
&lt;div class="target" contenteditable="true"&gt;...and pasting it into this one&lt;/div&gt;</pre>

<div class="hidden">
<h4 id="CSS">CSS</h4>

<pre class="brush: css">div.source, div.target {
    border: 1px solid gray;
    margin: .5rem;
    padding: .5rem;
    height: 1rem;
    background-color: #e9eef1;
}
</pre>
</div>

<h4 id="JS">JS</h4>

<pre class="brush: js">const source = document.querySelector('div.source');

source.addEventListener('cut', (event) =&gt; {
    const selection = document.getSelection();
    event.clipboardData.setData('text/plain', selection.toString().toUpperCase());
    selection.deleteFromDocument();
    event.preventDefault();
});
</pre>

<h4 id="Result">Result</h4>

<p>{{ EmbedLiveSample('Live_example', '100%', '100px') }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Clipboard API', '#clipboard-event-cut')}}</td>
   <td>{{Spec2('Clipboard API')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.cut_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Related events: {{domxref("Element/copy_event", "copy")}}, {{domxref("Element/paste_event", "paste")}}</li>
 <li>This event on {{domxref("Document")}} targets: {{domxref("Document/cut_event", "cut")}}</li>
 <li>This event on {{domxref("Window")}} targets: {{domxref("Window/copy_event", "cut")}}</li>
</ul>
